"This device isn't eligible for the desired build."

Discussion in 'iPhone' started by eff3ctz, Feb 20, 2010.

  1. eff3ctz

    eff3ctz New Member

    Joined:
    Feb 28, 2009
    Messages:
    166
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    I'm trying to jailbreak my iPhone 3GS (3.1.2) via Blackra1n. However, when I Shift+Restore and select the 3.1.2 firmware, it comes up with the message "This device isn't eligible for the desired build."

    I've jailbroken my iDevices in the past, but I've never gotten this error and google doesn't seem to be helping.

    Help would be greatly appreciated.
  2. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    apple stopped signing 3.1.2, only non 3GS and ipt 3G users can shift+restore as of now, only way you could have downgraded was from shsh
  3. eff3ctz

    eff3ctz New Member

    Joined:
    Feb 28, 2009
    Messages:
    166
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    I'm not downgrading. I'm currently on 3.1.2 and am trying to restore to 3.1.2.

    Could I restore to 3.1.3 and jailbreak that? I don't even know what a boot rom is... :\
  4. MrDodi

    MrDodi Active Member

    Joined:
    Feb 2, 2009
    Messages:
    1,519
    Likes Received:
    0
    Device:
    iPhone 5 (Black)
    Then when youre on 3.1.2 why would you like to restore?

    You jsut have to Run Blackra1n , and the thing is done.


    After jailbreaking restart your device. If the iTUnes logo popped up you have a new bootrom and you need to run blackra1n again du boot up your iphone . If your iphone starts normaly. You have a old one and youre untethered.
  5. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    iphone 3gs cant be jailbreaken, why do you want to restore any ways? maybe we can fix you there
  6. eff3ctz

    eff3ctz New Member

    Joined:
    Feb 28, 2009
    Messages:
    166
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    I was looking at a tutorial and it said it's better to start with a clean 3.1.2, as opposed to me having all of my photos/apps/etc...

    It doesn't matter which?
  7. Nburnes

    Nburnes Well-Known Member

    Joined:
    Jan 3, 2009
    Messages:
    9,022
    Likes Received:
    767
    Device:
    OnePlus One
    Every iPod/iPhone can be jailbroken....
  8. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    @nburnes ipone 3gs cant be jailbroken on 3.1.3 there sorry lol

    @eff3 it doesnt matter if you start clean or start now, still gonne be same results
  9. eff3ctz

    eff3ctz New Member

    Joined:
    Feb 28, 2009
    Messages:
    166
    Likes Received:
    0
    Device:
    iPhone 4 (Black)
    Thanks guys. I'm just going to run blackra1n now.
  10. J-Phone

    J-Phone Active Member

    Joined:
    Dec 1, 2009
    Messages:
    4,868
    Likes Received:
    10
    Device:
    iPhone 4 (Black)
    no problem

Share This Page